<div *ngIf="error !== null && error.isFatal; then error_container; else container"></div>

<ng-template #error_container></ng-template>
<ng-template #container>
    <app-navbar></app-navbar>
    <div class="container-fluid">
        <div id="outlet">
            <router-outlet></router-outlet>
        </div>
    </div>
</ng-template>